var toolkit = require('/lib/toolkit');
var rules = require('/lib/rules');

function RosaGiocatoreView() {
	var self = Ti.UI.createView({
		width : 251,
		height : 358
	});

	if (toolkit.Environment.isAndroid && toolkit.Environment.isTablet) {
		self.width = 502;
		self.height = 715;
	}

	var back = Ti.UI.createView({
		top : (self.width / 251) * 15,
		right : (self.width / 251) * 12,
		bottom : (self.width / 251) * 15,
		left : (self.width / 251) * 10,
		backgroundColor : 'white'
	});
	self.add(back);

	var img = Ti.UI.createImageView({
		width : (self.width / 251) * 180,
		height : (self.width / 251) * 260
	});
	self.add(img);
	toolkit.Controls.SetIndicator(img);

	//Figurina
	var backImage = Ti.UI.createImageView();
	toolkit.Controls.SetIndicator(backImage);
	if (toolkit.Environment.isAndroid) {
		backImage.RemoteImage('http://' + rules.settings.Figurina.Android);
	} else {
		backImage.RemoteImage('http://' + rules.settings.Figurina.Retina);
	}
	self.add(backImage);

	var lblName = Ti.UI.createLabel({
		bottom : (self.width / 251) * 45,
		color : 'white',
		font : {
			fontSize : (self.width / 251) * 14
		}
	});
	self.add(lblName);

	var lblNumber = Ti.UI.createLabel({
		right : (self.width / 251) * 17,
		bottom : (self.width / 251) * 70,
		width : (self.width / 251) * 40,
		color : 'white',
		textAlign : 'center',
		font : {
			fontSize : (self.width / 251) * 14
		}
	});
	self.add(lblNumber);

	var lblRole = Ti.UI.createLabel({
		bottom : (self.width / 251) * 20,
		color : 'white',
		font : {
			fontSize : (self.width / 251) * 14
		}
	});
	self.add(lblRole);

	self.fill = function(item) {
		if (!Ti.Network.online) {
			toolkit.Dialog.Error(L('notconnection'));
			return;
		}

		self.tag = item;

		lblName.text = item.nome;
		lblNumber.text = item.maglietta;
		lblRole.text = item.ruolo;
		img.RemoteImage('http://' + item.link);
	};

	return self;
};

module.exports = RosaGiocatoreView;
