var toolkit = require('/lib/toolkit');
var rules = require('/lib/rules');

var MenuWindow = require('/ui/handheld/android/MenuWindow');

function HomeWindow() {
	var self = Ti.UI.createWindow({
		fullscreen : true,
		backgroundColor : rules.settings.Styles.Window.backgroundColor,
		orientationModes : [Titanium.UI.PORTRAIT, Titanium.UI.UPSIDE_PORTRAIT],
		backgroundImage : '/images/home/Default-Android.png',
		navBarHidden:true
	});

	/*self.addEventListener("open", function() {
		if (!self.activity) {
			Ti.API.error("Can't access action bar on a lightweight window.");
		} else {
			actionBar = self.activity.actionBar;
			if (actionBar) {
				actionBar.hide();
				Ti.App.Properties.setBool('hideActionBar', true);
			}
		}
	});*/

	//Menu
	var menuView = Ti.UI.createView();
	self.add(menuView);
	menuView.addEventListener('click', function() {
		var menuwindow = new MenuWindow();
		menuwindow.open();
		menuwindow.addEventListener("close", function() {
			menuwindow = null;
		});
	});

	//Facebook
	var facebookView = Ti.UI.createView({
		left : 0,
		top : Ti.Platform.displayCaps.platformHeight*0.19,
		width : Ti.Platform.displayCaps.platformWidth*0.5,
		height : Ti.Platform.displayCaps.platformHeight*0.06 /*,
		backgroundColor : 'red',
		opacity : 0.5*/
	});
	self.add(facebookView);
	facebookView.addEventListener('click', function() {
		Ti.Platform.openURL(rules.settings.Link.Facebook);
	});

	//YouTube
	var youtubeView = Ti.UI.createView({
		left : 0,
		top : Ti.Platform.displayCaps.platformHeight*0.28,
		width : Ti.Platform.displayCaps.platformWidth*0.5,
		height : Ti.Platform.displayCaps.platformHeight*0.06/*,
		backgroundColor : 'red',
		opacity : 0.5*/
	});
	self.add(youtubeView);
	youtubeView.addEventListener('click', function() {
		if (rules.settings.Link.YouTube != "-")
			Ti.Platform.openURL(rules.settings.Link.YouTube);
		else
			toolkit.Dialog.Error('Non ancora implementata.');
	});

	return self;
}

module.exports = HomeWindow;
