var toolkit = require('/lib/toolkit');

var NewsCategoryView = require('/ui/common/News/NewsCategoryView');
var NewsWindow = require('/ui/handheld/iphone/News/NewsWindow');

function NewsCategoryWindow(navWin) {
	var self = Ti.UI.createWindow({
		title : 'News',
		backgroundColor : rules.settings.Styles.Window.backgroundColor,
		navBarHidden : false,
		translucent : false,
		fullscreen : true
	});

	var newswindow = new NewsWindow();

	var newscategoryview = new NewsCategoryView();
	self.add(newscategoryview);

	newscategoryview.addEventListener('selectedItem', function(e) {
		newswindow.fill(e);
		navWin.openWindow(newswindow);
	});

	self.fill = function() {
		newscategoryview.fill();
	};

	Ti.App.addEventListener('iAd_loaded', function() {
		self.bottom = 50;
	});
	Ti.App.addEventListener('iAd_error', function() {
		self.bottom = 0;
	});

	return self;
}

//make constructor function the public component interface
module.exports = NewsCategoryWindow;
