var ChampionsCategoryView = require('/ui/common/Champions/ChampionsCategoryView');

function ChampionsWindow() {
	var self = Ti.UI.createWindow({
		title : 'Champions league',
		backgroundColor : rules.settings.Styles.Window.backgroundColor,
		backgroundImage : rules.setBackgroundImage('/images/sfondo/'),
		width : 615,
		height : 530,
		borderWidth : 1,
		borderColor : '#fff'
	});

	var headerView = Ti.UI.createView({
		top : 0,
		height : 60,
		backgroundColor : '#fff'
	});
	self.add(headerView);
	var headerLabel = Ti.UI.createLabel({
		color : '#000',
		text : self.title
	});
	headerView.add(headerLabel);
	var headerBackLabel = Ti.UI.createLabel({
		right : 10,
		color : '#007aff',
		text : 'chiudi'
	});
	headerBackLabel.addEventListener('click', function() {
		self.close();
	});
	headerView.add(headerBackLabel);

	var championsategoryview = new ChampionsCategoryView();
	championsategoryview.top = 60;
	self.add(championsategoryview);

	var btnReload = Ti.UI.createButton({
		systemButton : Titanium.UI.iPhone.SystemButton.REFRESH
	});
	btnReload.addEventListener('click', function() {
		self.fill(true);
	});
	self.rightNavButton = btnReload;

	self.fill = function(force) {
		championsategoryview.fill(force);
	};

	return self;
}

//make constructor function the public component interface
module.exports = ChampionsWindow;
