exports.getOrientation = function() {
	var numEleOrientation;

	if (Titanium.Platform.displayCaps.platformWidth < Titanium.Platform.displayCaps.platformHeight) {
		//Portrait
		numEleOrientation = 3;
	} else {
		//Landscape
		numEleOrientation = 4;
	}

	return numEleOrientation;
};

exports.setBackgroundImage = function(path) {
	var numEleOrientation = exports.getOrientation();

	if (numEleOrientation == 3) {
		if (toolkit.Environment.isIPad) {
			return path + 'Default-Portrait.png';
		} else {
			return path + 'Default.png';
		}
	} else {
		if (toolkit.Environment.isIPad) {
			return path + 'Default-Landscape.png';
		} else {
			return path + 'Default.png';
		}
	}
};
