var ChampionsCategoryView = require('/ui/common/Champions/ChampionsCategoryView');

function ChampionsWindow(navGroup) {
	var self = Ti.UI.createWindow({
		title : 'Champions league',
		backgroundColor : rules.settings.Styles.Window.backgroundColor,
		backgroundImage : rules.setBackgroundImage('/images/sfondo/'),
		navBarHidden : false,
		translucent : false,
		fullscreen : true
	});

	var championsategoryview = new ChampionsCategoryView();
	self.add(championsategoryview);

	var btnReload = Ti.UI.createButton({
		systemButton : Titanium.UI.iPhone.SystemButton.REFRESH
	});
	btnReload.addEventListener('click', function() {
		self.fill(true);
	});
	self.rightNavButton = btnReload;

	self.fill = function(force) {
		championsategoryview.fill(force);
	};

	Ti.App.addEventListener('iAd_loaded', function() {
		championsategoryview.bottom = 50;
	});
	Ti.App.addEventListener('iAd_error', function() {
		championsategoryview.bottom = 0;
	});

	return self;
}

//make constructor function the public component interface
module.exports = ChampionsWindow;
