var ClassificaCategoryView = require('/ui/common/Classifica/ClassificaCategoryView');

function ClassificaWindow(navGroup) {
	var self = Ti.UI.createWindow({
		title : 'Classifica e risultati',
		backgroundColor : rules.settings.Styles.Window.backgroundColor,
		backgroundImage : rules.setBackgroundImage('/images/sfondo/'),
		navBarHidden : false,
		translucent : false,
		fullscreen : true
	});

	var classificacategoryview = new ClassificaCategoryView();
	self.add(classificacategoryview);

	var btnReload = Ti.UI.createButton({
		systemButton : Ti.UI.iPhone.SystemButton.REFRESH
	});
	btnReload.addEventListener('click', function() {
		self.fill(true);
	});
	self.rightNavButton = btnReload;

	self.fill = function(force) {
		classificacategoryview.fill(force);
	};

	Ti.App.addEventListener('iAd_loaded', function() {
		classificacategoryview.bottom = 50;
	});
	Ti.App.addEventListener('iAd_error', function() {
		classificacategoryview.bottom = 0;
	});

	return self;
}

//make constructor function the public component interface
module.exports = ClassificaWindow;
