var NewsView = require('/ui/common/News/NewsView');

function NewsWindow() {
	var self = Ti.UI.createWindow({
		backgroundColor : rules.settings.Styles.Window.backgroundColor,
		translucent : false,
		fullscreen : true
	});

	//Sfondo
	var backgroundImage = Ti.UI.createImageView();
	toolkit.Controls.SetIndicator(backgroundImage);
	backgroundImage.RemoteImage(rules.setSettingsBackgroundImage(rules.settings.Sfondo));
	self.add(backgroundImage);

	var newview = new NewsView();
	self.add(newview);

	self.fill = function(e) {
		newview.fill(e);
	};

	Ti.App.addEventListener('iAd_loaded', function() {
		newview.bottom = 50;
	});
	Ti.App.addEventListener('iAd_error', function() {
		newview.bottom = 0;
	});

	return self;
}

//make constructor function the public component interface
module.exports = NewsWindow;
